Skip to main content

Loyalty Points

Base URL: https://api.covasoft.net/iqloyalty

Endpoints​

EndpointDescription
GET v1/Companies({CompanyId})/Entities({LocationId})/RewardsReturns All the Loyalty Rewards for a Company
POST v1/Companies({CompanyId})/Entities({LocationId})/RewardsCreates a Loyalty Reward for a Company
PUT v1/Companies({CompanyId})/Entities({LocationId})/Rewards({RewardId})Deletes and Creates a Loyalty Reward
DELETE v1/Companies({CompanyId})/Entities({LocationId})/Rewards({RewardId})Deletes a Loyalty Reward
GET v1/LoyaltyAdjustmentHistoryReport/report?DateRange={DateRange}&Page={Page}&PageSize={PageSize}Returns All Loyalty Adjustment Report for a Company based on Timeframe
GET v1/Companies({CompanyId})/Entities({LocationId})/customers({CustomerId})/summaryReturns All the Loyalty Points for a Customer
GET v1/Companies({CompanyId})/Entities({LocationId})/Invoices({InvoiceId})Returns the Loyalty Points for an Invoice
POST v1/Companies({CompanyId})/Entities({LocationId})/customers({CustomerId})/adjustmentPost Loyalty Point Adjustments to a Customer
POST v1/Companies({CompanyId})/Entities({LocationId})/customers({CustomerId})/revisionPost Loyalty point revision for the customer. Can be used to set the current available loyalty points for a customer without needing to fetch the current value and adjusting based on the difference to the target value.

GET v1/Companies({CompanyId})/Entities({LocationId})/Rewards​

Returns All the Loyalty Rewards for a Company

Base URL:​

https://api.covasoft.net/iqloyalty

Example of a call would be:​

https://api.covasoft.net/iqloyalty/v1/Companies({CompanyId})/Entities({LocationId})/Rewards

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding pacakageintegerRequired
LocationIdAny Location Id, or the Company IdintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

Loyalty Rewards for a Company

Collection of LoyaltyRewardsByCompanyReturn

NameDescriptionTypeAdditional information
IdThe unique Id for this reward. This is generated by the system and is required for updating or deleting a reward, but not for creating a reward.integerNone.
NameThe name of this reward.stringNone.
PointsRequiredThe points required to redeedm this reward.integerNone.
TypeThe type of reward. This must be 'MoneyOffInvoice'.RewardTypeNone.
ValueThe dollar value of this reward.stringNone.
DiscountIdThe corresponding DisocuntId for this reward. Is not usedglobally unique identifierNone.
LastModifiedUtcThe last modified date of this reward.dateNone.
LastModifiedUserNameThe username of the last user to modify this reward.stringNone.

Response Formats​

application/json, text/json

[
{
"Id": 310,
"Name": "$5 off for 5000",
"PointsRequired": 5000,
"Type": "MoneyOffInvoice",
"Value": "5",
"DiscountId": "565ecf0d-3d0b-47f2-a741-ae6b5eb6104d",
"LastModifiedUtc": "2018-06-29T22:58:23.6588214Z",
"LastModifiedUserName": "Simon Jacobs"
},
{
"Id": 311,
"Name": "Bonus for saving up",
"PointsRequired": 20000,
"Type": "MoneyOffInvoice",
"Value": "25",
"DiscountId": "91531f3f-8110-4c1b-8e7a-ed9ba3845ed0",
"LastModifiedUtc": "2018-06-29T22:58:24.421868Z",
"LastModifiedUserName": "Simon Jacobs"
},
{
"Id": 312,
"Name": "$3 Reward",
"PointsRequired": 50,
"Type": "MoneyOffInvoice",
"Value": "3",
"DiscountId": "a24c383b-58e9-44ec-ad67-ee5ce60fb499",
"LastModifiedUtc": "2018-06-29T22:58:24.9531397Z",
"LastModifiedUserName": "Smoke Test"
}
]

Models​

RewardType

Possible enumeration values:

NameValueDescription
Undefined0
MoneyOffInvoice1

POST v1/Companies({CompanyId})/Entities({LocationId})/Rewards​

Creates a Loyalty Reward for a Company

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding packageintegerRequired
LocationIdAny Location Id, or the Company IdintegerRequired

Body Parameters​

Body of call see example above

LoyaltyRewardPost

NameDescriptionTypeAdditional information
PointsRequiredThe points required to redeedm this reward.integerNone.
NameThe name of this rewardstringNone.
ValueThe dollar value of this reward.stringNone.
TypeThe type of reward. This must be 'MoneyOffInvoice'.RewardTypeNone.

Request Formats​

application/json, text/json

{
"Name": "$5 off for 5000",
"PointsRequired": 5000,
"Type": "MoneyOffInvoice",
"Value": "5"
}

Response Information​

Resource Description​

Loyalty Reward that was created

LoyaltyRewardsByCompanyReturn

NameDescriptionTypeAdditional information
IdThe unique Id for this reward. This is generated by the system and is required for updating or deleting a reward, but not for creating a reward.integerNone.
NameThe name of this reward.stringNone.
PointsRequiredThe points required to redeedm this reward.integerNone.
TypeThe type of reward. This must be 'MoneyOffInvoice'.RewardTypeNone.
ValueThe dollar value of this reward.stringNone.
DiscountIdThe corresponding DisocuntId for this reward. Is not usedglobally unique identifierNone.
LastModifiedUtcThe last modified date of this reward.dateNone.
LastModifiedUserNameThe username of the last user to modify this reward.stringNone.

Response Formats​

application/json, text/json

{
"Id": 310,
"Name": "$5 off for 5000",
"PointsRequired": 5000,
"Type": "MoneyOffInvoice",
"Value": "5",
"DiscountId": "565ecf0d-3d0b-47f2-a741-ae6b5eb6104d",
"LastModifiedUtc": "2018-06-29T22:58:23.6588214Z",
"LastModifiedUserName": "Simon Jacobs"
}

Models​

RewardType

Possible enumeration values:

NameValueDescription
Undefined0
MoneyOffInvoice1

PUT v1/Companies({CompanyId})/Entities({LocationId})/Rewards({RewardId})​

Deletes and Creates a Loyalty Reward

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding packageintegerRequired
LocationIdAny Location Id, or the Company IdintegerRequired
RewardIdThe unique Reward Id you want to update. This Reward will be deleted and a new one created with a new IdintegerRequired

Body Parameters​

Body of call see example above

LoyaltyRewardPost

NameDescriptionTypeAdditional information
PointsRequiredThe points required to redeedm this reward.integerNone.
NameThe name of this rewardstringNone.
ValueThe dollar value of this reward.stringNone.
TypeThe type of reward. This must be 'MoneyOffInvoice'.RewardTypeNone.

Request Formats​

application/json, text/json

{
"Name": "$5 off for 5000",
"PointsRequired": 5000,
"Type": "MoneyOffInvoice",
"Value": "5"
}

Response Information​

Resource Description​

None.

Models​

RewardType

Possible enumeration values:

NameValueDescription
Undefined0
MoneyOffInvoice1

DELETE v1/Companies({CompanyId})/Entities({LocationId})/Rewards({RewardId})​

Deletes a Loyalty Reward

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding packageintegerRequired
LocationIdAny Location Id, or the Company IdintegerRequired
RewardIdThe unique Reward Id you want to deleteintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

None.

GET v1/LoyaltyAdjustmentHistoryReport/report?DateRange={DateRange}&Page={Page}&PageSize={PageSize}​

Returns All Loyalty Adjustment Report for a Company based on Timeframe

Base URL:​

https://reporting.iqmetrix.net

Example of a call would be:​

https://api.covasoft.net/iqloyalty/v1/LoyaltyAdjustmentHistoryReport/report?DateRange=Everything&Page=2&PageSize=200

Date Range Paramters indude:​

Today, Yesterday, LastWeek, LastMonth, LastQuarter, WeekToDate, MonthToDate, QuarterToDate, YearToDate, FullYear, Everything

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
DateRangeThe Timeframe you want for the Loyalty Adjustments ReprotstringRequired
PageWhich page of data to returnintegerRequired
PageSizenumber of records per pageintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

Loyalty Adjustment Report for a Company based on Timeframe

LoyaltyAdjustmentReportByCompanyReturn

NameDescriptionTypeAdditional information
definitionObjectNone.
rowsCollection of rowNone.
totalRecordsintegerNone.

Response Formats​

application/json, text/json

{
"definition": {},
"rows": [
{
"dateUtc": "2026-10-02T17:42:54.4011203+00:00",
"adjustmentType": "sample string 2",
"amount": "sample string 3",
"employee": "sample string 4",
"customer": "sample string 5",
"reason": "sample string 6"
},
{
"dateUtc": "2026-10-02T17:42:54.4011203+00:00",
"adjustmentType": "sample string 2",
"amount": "sample string 3",
"employee": "sample string 4",
"customer": "sample string 5",
"reason": "sample string 6"
}
],
"totalRecords": 2
}

Models​

row
NameDescriptionTypeAdditional information
dateUtcdateNone.
adjustmentTypestringNone.
amountstringNone.
employeestringNone.
customerstringNone.
reasonstringNone.

GET v1/Companies({CompanyId})/Entities({LocationId})/customers({CustomerId})/summary​

Returns All the Loyalty Points for a Customer

Base URL:​

https://api.covasoft.net/iqloyalty

Example of a call would be:​

https://api.covasoft.net/iqloyalty/v1/Companies({CompanyId})/Entities({LocationId})/customers({CustomerId})/summary

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding pacakageintegerRequired
LocationIdAny Location Id, or the Company IdintegerRequired
CustomerIdThe Customer Id Guid that you want the Loyalty Rewards Summaryglobally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

Loyalty Points for a Customer

LoyaltyPointsByCustomerReturn

NameDescriptionTypeAdditional information
PointsBalanceintegerNone.
LifetimePointsBalanceintegerNone.

Response Formats​

application/json, text/json

{
"PointsBalance": 1,
"LifetimePointsBalance": 2
}

GET v1/Companies({CompanyId})/Entities({LocationId})/Invoices({InvoiceId})​

Returns the Loyalty Points for an Invoice

Base URL:​

https://api.covasoft.net/iqloyalty

Example of a call would be:​

https://api.covasoft.net/iqloyalty/v1/Companies({CompanyId})/Entities({LocationId})/Invoices({InvoiceId})

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding pacakageintegerRequired
LocationIdAny Location Id, or the Company IdintegerRequired
InvoiceIdThe Invoice Id Guid that you want the Loyalty Rewards Summaryglobally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

Loyalty Points for an Invoice

LoyaltyPointsByInvoiceReturn

NameDescriptionTypeAdditional information
InvoiceIdglobally unique identifierNone.
PointsEarnedintegerNone.
PointsBalanceintegerNone.

Response Formats​

application/json, text/json

{
"InvoiceId": "ec7c5c31-b781-4f8c-9fe3-4281759ba8f0",
"PointsEarned": 2,
"PointsBalance": 3
}

POST v1/Companies({CompanyId})/Entities({LocationId})/customers({CustomerId})/adjustment​

Post Loyalty Point Adjustments to a Customer

Base URL:​

https://api.covasoft.net/iqloyalty

Example of a call would be:​

https://api.covasoft.net/iqloyalty/v1/Companies({CompanyId})/Entities({CompanyId})/customers({CustomerId})/adjustment

Body Example:​

{ "PointsAdjustmentAmount": -61, "Notes": "Test", "user": 974152 }

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding pacakageintegerRequired
LocationIdAny Location Id, or the Company IdintegerRequired
CustomerIdThe Customer Id Guid that you want the Loyalty Rewards Summaryglobally unique identifierRequired

Body Parameters​

Body of call see example above

LoyaltyPointsAdjustmentPost

NameDescriptionTypeAdditional information
PointsAdjustmentAmountintegerNone.
NotesstringNone.
userintegerNone.

Request Formats​

application/json, text/json

{
"PointsAdjustmentAmount": 1,
"Notes": "sample string 2",
"user": 3
}

Response Information​

Resource Description​

HttpResponseMessage

NameDescriptionTypeAdditional information
VersionVersionNone.
ContentHttpContentNone.
StatusCodeHttpStatusCodeNone.
ReasonPhrasestringNone.
HeadersCollection of ObjectNone.
RequestMessageHttpRequestMessageNone.
IsSuccessStatusCodebooleanNone.

Models​

Version
NameDescriptionTypeAdditional information
MajorintegerNone.
MinorintegerNone.
BuildintegerNone.
RevisionintegerNone.
MajorRevisionintegerNone.
MinorRevisionintegerNone.
HttpContent
NameDescriptionTypeAdditional information
HeadersCollection of ObjectNone.
HttpStatusCode

Possible enumeration values:

NameValueDescription
Continue100
SwitchingProtocols101
OK200
Created201
Accepted202
NonAuthoritativeInformation203
NoContent204
ResetContent205
PartialContent206
MultipleChoices300
Ambiguous300
MovedPermanently301
Moved301
Found302
Redirect302
SeeOther303
RedirectMethod303
NotModified304
UseProxy305
Unused306
TemporaryRedirect307
RedirectKeepVerb307
BadRequest400
Unauthorized401
PaymentRequired402
Forbidden403
NotFound404
MethodNotAllowed405
NotAcceptable406
ProxyAuthenticationRequired407
RequestTimeout408
Conflict409
Gone410
LengthRequired411
PreconditionFailed412
RequestEntityTooLarge413
RequestUriTooLong414
UnsupportedMediaType415
RequestedRangeNotSatisfiable416
ExpectationFailed417
UpgradeRequired426
InternalServerError500
NotImplemented501
BadGateway502
ServiceUnavailable503
GatewayTimeout504
HttpVersionNotSupported505
HttpRequestMessage
NameDescriptionTypeAdditional information
VersionVersionNone.
ContentHttpContentNone.
MethodHttpMethodNone.
RequestUriURINone.
HeadersCollection of ObjectNone.
PropertiesDictionary of string [key] and Object [value]None.
HttpMethod
NameDescriptionTypeAdditional information
MethodstringNone.

POST v1/Companies({CompanyId})/Entities({LocationId})/customers({CustomerId})/revision​

Post Loyalty point revision for the customer. Can be used to set the current available loyalty points for a customer without needing to fetch the current value and adjusting based on the difference to the target value.

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique companyId that was provided in your onboarding packageintegerRequired
LocationIdAny Location Id, or the Company IdintegerRequired
CustomerIdThe Customer Id Guidglobally unique identifierRequired

Body Parameters​

LoyaltyPointsRevisionPost

NameDescriptionTypeAdditional information
RevisedPointsAmountintegerNone.
NotesstringNone.

Request Formats​

application/json, text/json

{
"RevisedPointsAmount": 1,
"Notes": "sample string 2"
}

Response Information​

Resource Description​

HttpResponseMessage

NameDescriptionTypeAdditional information
VersionVersionNone.
ContentHttpContentNone.
StatusCodeHttpStatusCodeNone.
ReasonPhrasestringNone.
HeadersCollection of ObjectNone.
RequestMessageHttpRequestMessageNone.
IsSuccessStatusCodebooleanNone.

Models​

Version
NameDescriptionTypeAdditional information
MajorintegerNone.
MinorintegerNone.
BuildintegerNone.
RevisionintegerNone.
MajorRevisionintegerNone.
MinorRevisionintegerNone.
HttpContent
NameDescriptionTypeAdditional information
HeadersCollection of ObjectNone.
HttpStatusCode

Possible enumeration values:

NameValueDescription
Continue100
SwitchingProtocols101
OK200
Created201
Accepted202
NonAuthoritativeInformation203
NoContent204
ResetContent205
PartialContent206
MultipleChoices300
Ambiguous300
MovedPermanently301
Moved301
Found302
Redirect302
SeeOther303
RedirectMethod303
NotModified304
UseProxy305
Unused306
TemporaryRedirect307
RedirectKeepVerb307
BadRequest400
Unauthorized401
PaymentRequired402
Forbidden403
NotFound404
MethodNotAllowed405
NotAcceptable406
ProxyAuthenticationRequired407
RequestTimeout408
Conflict409
Gone410
LengthRequired411
PreconditionFailed412
RequestEntityTooLarge413
RequestUriTooLong414
UnsupportedMediaType415
RequestedRangeNotSatisfiable416
ExpectationFailed417
UpgradeRequired426
InternalServerError500
NotImplemented501
BadGateway502
ServiceUnavailable503
GatewayTimeout504
HttpVersionNotSupported505
HttpRequestMessage
NameDescriptionTypeAdditional information
VersionVersionNone.
ContentHttpContentNone.
MethodHttpMethodNone.
RequestUriURINone.
HeadersCollection of ObjectNone.
PropertiesDictionary of string [key] and Object [value]None.
HttpMethod
NameDescriptionTypeAdditional information
MethodstringNone.